#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	doxygen
Version		:	1.10.0
Release		:	16.2.0.rel%{?dist}
Summary		:	Generate documentation from source code (C/C++)

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	http://www.doxygen.nl


Source0		:	%{name}-%{version}.src.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake

#-----------------------------------------------------------------------------
%description
Doxygen is the de facto standard tool for generating documentation from 
annotated C++ sources, but it also supports other popular programming 
languages such as C, Objective-C, C#, PHP, Java, Python, IDL 
(Corba, Microsoft, and UNO/OpenOffice flavors), Fortran, VHDL, Tcl, 
and to some extent D.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/doxy*.1.gz

#=============================================================================
%prep
%setup -q
#First, fix up some python scripts
grep -rl '^#!.*python$' | xargs sed -i '1s/python/&3/'

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-S .						\
	-B _bld						\
	-G "Unix Makefiles"				\
	-D build_wizard=OFF				\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_BUILD_TYPE=Release			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	-C _bld						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	-C _bld						\
	install

%{__mkdir_p}						\
	%{buildroot}%{_mandir}/man1/

install -m644						\
	doc/*.1						\
	%{buildroot}%{_mandir}/man1/

#-----------------------------------------------------------------------------
%changelog
